local device = device or {}

device.platform    = "unknown"
device.model       = "unknown"


local sharedApplication = cc.Application:getInstance()
local target = sharedApplication:getTargetPlatform()

if target == 0 then
    device.platform = "windows"
elseif target == 2 then
    device.platform = "mac"
elseif target == 3 then
    device.platform = "android"
elseif target == 4 or target == 5 then
    device.platform = "ios"
    if target == 4 then
        device.model = "iphone"
    else
        device.model = "ipad"
    end
end

local language_ = sharedApplication:getCurrentLanguage()
if language_ == 1 then
    language_ = "cn"
elseif language_ == 2 then
    language_ = "fr"
elseif language_ == 3 then
    language_ = "it"
elseif language_ == 4 then
    language_ = "gr"
elseif language_ == 5 then
    language_ = "sp"
elseif language_ == 6 then
    language_ = "ru"
else
    language_ = "en"
end

device.language = language_
device.writablePath = cc.FileUtils:getInstance():getWritablePath()
device.directorySeparator = "/"
device.pathSeparator = ":"
if device.platform == "windows" then
    device.directorySeparator = "\\"
    device.pathSeparator = ";"
end


if device.platform == "windows" then
	device.DEST_DELIMITER = '\\'
	device.TEMP_DELIMITER = '/'
	device.MkDirCommon = "mkdir %s"
else
	device.DEST_DELIMITER = '/'
	device.TEMP_DELIMITER = '\\'
	device.MkDirCommon = "mkdir %s, 0777 "
end

device.tankResPath = string.gsub(device.writablePath.."TankRes/", device.TEMP_DELIMITER, device.DEST_DELIMITER)	
-- device.tankResPath=  C:\Users\Administrator\AppData\Local\Rome\TankRes\

device.downLoadPath = device.tankResPath.."downTmp/"
--Classes/Game.cpp
Game:setFirstSearchPath(device.tankResPath)


DeviceUtil = device

---[[
function device.showActivityIndicator()
    cc.Native:showActivityIndicator()
end

function device.hideActivityIndicator()
    cc.Native:hideActivityIndicator()
end

function device.showAlert(title, message, buttonLabels, listener)
    if type(buttonLabels) ~= "table" then
        buttonLabels = {tostring(buttonLabels)}
    end
	
	if device.platform == "android" then
		local tempListner = function(event)
			if type(event) == "string" then
				event = require("framework.json").decode(event)
				event.buttonIndex = tonumber(event.buttonIndex)
			end
			if listener then listener(event) end
		end
		luaj.callStaticMethod("org/cocos2dx/utils/PSNative", "createAlert", {title, message, buttonLabels, tempListner}, "(Ljava/lang/String;Ljava/lang/String;Ljava/util/Vector;I)V");
	else
	    local defaultLabel = ""
	    if #buttonLabels > 0 then
	        defaultLabel = buttonLabels[1]
	        table.remove(buttonLabels, 1)
	    end

	    cc.Native:createAlert(title, message, defaultLabel)
	    for i, label in ipairs(buttonLabels) do
	        cc.Native:addAlertButton(label)
	    end

	    if type(listener) ~= "function" then
	        listener = function() end
	    end

	    cc.Native:showAlert(listener)
	end
end

function device.cancelAlert()
    cc.Native:cancelAlert()
end

function device.getOpenUDID()
    return cc.Native:getOpenUDID()
end

function device.openURL(url)
    cc.Native:openURL(url)
end

function device.showInputBox(title, message, defaultValue)
    title = title or "INPUT TEXT"
    message = message or "INPUT TEXT, CLICK OK BUTTON"
    defaultValue = defaultValue or ""
    return cc.Native:getInputText(title, message, defaultValue)
end

return device

--]]


