JsonUtil = JsonUtil or {}
JsonUtil.cjson = require "cjson";
--[[
返回Json的table
file:(string)json文件路径
--]]
function jsonTableFromFile(file)
	
	local result = nil
	local function _try()
		local cjson = JsonUtil.cjson.new() --require "cjson"
		local t = cc.FileUtils:getInstance():getStringFromFile(file)
		--[[
		local jfile = io.open(file)
		assert(jfile);  
		local t = jfile:read("*a"); -- 读取所有内容
		--]]
		--print("jsonTableFromFile", t)
		if type(t) == "string" and string.len(t) > 1 then
			result = cjson.decode(t)	
		end
	end
	if not pcall(_try)  then															
		LOG_ERROR("JsonUtil", "jsonTableFromFile ERROR file = %s", tostring(file))
	end
	
	return result;
end

--[[
返回Json的table
jStr:(string)json字符串
--]]
function jsonTableFromString(jStr)
	local result = nil
	
	local function _try()
		if type(jStr) == "string" and string.len(jStr) > 3 then
			local cjson = JsonUtil.cjson.new() -- require "cjson"	
			local jdata = cjson.decode(jStr)		
			result = jdata;
		end
	end
	
	if not pcall(_try)  then															
		LOG_ERROR("JsonUtil", "jsonTableFromString ERROR jStr = %s", tostring(jStr))
	end
	return result;
end

--[[
返回Json的字符串
jTable:(table)json字符串
--]]
function jsonTableToJString(jTable)
	local result = nil
	
	local function _try()
		local cjson = JsonUtil.cjson.new() --require "cjson"
		result = cjson.encode(jTable)
	end	
	
	if not pcall(_try)  then															
		LOG_ERROR("JsonUtil", "jsonTableToJString ERROR ")
	end
	return result;
end