
LLBaseUtils = LLBaseUtils or BaseClass();

function LLBaseUtils:__init()
	LLBaseUtils.Instance = self	
	self.tickKey = {}
end

--[[
注册Tick方法，
funcKey:(String) 为这个类或方法的一个KEY，
tickFunc:(function)  为每一tick调用的方法
--]]
function LLBaseUtils:registerTickFunc(funcKey, tickFunc)	
	local schedulerId = CCDirector:sharedDirector():getScheduler():scheduleScriptFunc(tickFunc, 0, false)
	self.tickKey[funcKey] = schedulerId
end

--[[
取消注册Tick方法，会把这个KEY所注册的方法全部取消
funcKey:(String) 为这个类或方法的一个KEY，
--]]
function LLBaseUtils:unRegisterTickFunc(funcKey)	
	if self.tickKey[funcKey] ~= nil then
		CCDirector:sharedDirector():getScheduler():unscheduleScriptEntry(self.tickKey[funcKey])	
		self.tickKey[funcKey] = nil
	end
end